#
# spec file for package perl-PlRPC
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PlRPC
BuildRequires:  perl-Net-Daemon
BuildRequires:  perl-macros
Version:        0.2020
Release:        27.5
Requires:       perl-Net-Daemon
Url:            http://cpan.org/modules/by-module/RPC/
Summary:        Perl Extension for Writing PlRPC Servers
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Source:         PlRPC-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
PlRPC (Perl RPC) is a package for implementing servers and clients that
are entirely written in Perl. The name is borrowed from Sun's RPC
(Remote Procedure Call), but it could as well be RMI like Java's Remote
Method Interface, because PlRPC gives you the complete power of Perl's
OO framework in a very simple manner.



Authors:
--------
    Jochen Wiedmann <jochen.wiedmann@freenet.de>

%prep
%setup -q -n PlRPC

%build
perl Makefile.PL
make %{?_smp_mflags}
rm t/client.t t/methods.t

%check
#make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/RPC
%{perl_vendorarch}/auto/RPC

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Feb 27 2009 anicka@suse.cz
- update to 0.2020
  * remove .svn from the tarball
* Sat Jan 12 2008 coolo@suse.de
- disable testsuite for now
* Mon Jun 11 2007 anicka@suse.cz
- update to 0.2019
  * Fixed an @opts name that was causing crypt.t to fail.
    Namely, changed 'cipher' to 'usercipher', but only in @opts,
    because the tests invoked by crypt.t were looking to match
    'usercipher' to get the user key.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 26 2005 anicka@suse.cz
- initial version 0.2018
